## org.exist.dom
Class NodeImplRef

    java.lang.Object
      org.exist.dom.NodeImplRef

public class NodeImplRef
extends java.lang.Object

Holds a mutable reference to a NodeImpl, used to pass a node by reference.

Author:
  Piotr Kaminski

Constructor Summary
`NodeImplRef()`
`NodeImplRef(StoredNode node)`

Method Summary
`StoredNode` `getNode()`
`void` `setNode(StoredNode node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeImplRef

    public NodeImplRef()

### NodeImplRef

    public NodeImplRef(StoredNode node)

Method Detail

### setNode

    public void setNode(StoredNode node)

### getNode

    public StoredNode getNode()

Copyright (C) Wolfgang Meier. All rights reserved.